summaryrefslogtreecommitdiffstats
path: root/test/glib/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/glib/run-test.sh')
-rwxr-xr-xtest/glib/run-test.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/glib/run-test.sh b/test/glib/run-test.sh
index eddea5f8..0a5e3f65 100755
--- a/test/glib/run-test.sh
+++ b/test/glib/run-test.sh
@@ -57,12 +57,21 @@ echo "Started test bus pid $DBUS_SESSION_BUS_PID at $DBUS_SESSION_BUS_ADDRESS"
export DBUS_TEST_GLIB_RUN_TEST_SCRIPT=1
if test x$MODE = xprofile ; then
+ echo "profiling type $PROFILE_TYPE"
sleep 2 ## this lets the bus get started so its startup time doesn't affect the profile too much
if test x$PROFILE_TYPE = x ; then
PROFILE_TYPE=all
fi
libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/glib/test-profile $PROFILE_TYPE || die "test-profile failed"
+elif test x$MODE = xviewer ; then
+ echo "Launching dbus-viewer"
+ ARGS=
+ if test x$DEBUG = x ; then
+ ARGS="--services org.freedesktop.DBus"
+ fi
+ libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/tools/dbus-viewer $ARGS || die "could not run dbus-viewer"
else
+ echo "running test-dbus-glib"
libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/glib/test-dbus-glib || die "test-dbus-glib failed"
fi